Vue.component('time-item', {
  	props: ['time','active','index'],
  	data: function(){
	  return {
		countdownShow: true,
		pageData: {
		    day: '0',
		    hour: '00',
		    minute: '00',
		    second: '00'
		}
	  }
	}, // 距开售<i  v-if="pageData.day > 0"><span>{{ pageData.day }}</span>天</i><span>{{ pageData.hour }}</span>时<span>{{ pageData.minute }}</span><span>{{ pageData.second }}</span>秒
  	template: '<div class="time po" ><div class="timeBox" v-if="countdownShow"> <i v-if="this.active == 2">距结束</i> <i v-if="this.active == 1">距开售</i> <span class="value" v-if="pageData.day > 0">{{ pageData.day }}</span><span class="label" v-if="pageData.day > 0">天</span> <span class="value">{{ pageData.hour }}</span>时<span class="value">{{ pageData.minute }}</span> 分 <span class="value">{{ pageData.second }}</span>秒 </div></div>',
  	created() {
        this.interval = setInterval(() => {
            const endTime  = this.time - (new Date() / 1000 | 0)
            if ( endTime <=0 ) {
            		clearInterval(this.interval)
                this.countdownShow = false
                this.$emit('countdownClose');
                this.$parent.itemsClose(this.index);
            }
            let date = {
                day: Math.floor(endTime / 86400),
                hour: Math.floor(endTime % 86400 / 3600),
                minute: Math.floor(endTime % 3600 / 60),
                second: Math.floor(endTime % 3600 % 60)
            }

            Object.keys(date).forEach(value => {
                if (date[value].toString().length < 2 && value !== 'day') {
                    this.pageData[value] = "0" + date[value]
                } else {
                    this.pageData[value] = date[value]
                }
            })
        }, 1000);
    },
    beforeDestroy() {
        clearInterval(this.interval)
    }
})


Vue.use(VueLazyload, {
	preLoad: 1.3,
	loading: "../img/loading.svg",
	error: '../img/image_error.png',
	attempt: 1
});
var app = new Vue({
	el: '#app',
	data: {
		ispage: true,
		activity_free_id: 0,
		type: 2,
		items: [],
		data: {}
	},
	methods: {
		getinfo: function(){
			var that = this

			that.ispage = false
			var params = {activity_free_id:that.activity_free_id}
			ORANGE.ajax({
				func_url:'/activity-free/info?token=' + ORANGE.UserInfo.token(),
				params:params,
				type:'GET',
				onSuccess:function(data){
					console.log(JSON.stringify(data))
					ORANGE.consoleLog(data,'0购详情')
					var item = data.data.Obj
					if(that.type == 2){
						item.time = item.end_time
					}else if(that.type == 1){
						item.time = item.start_time
					}
					item.is_show = true
					that.items.push(item)
					
				},
				onError:function(errcode){
					ORANGE.consoleLog(errcode,'0购详情')
					ORANGE.toast(errcode.msg)
				},
			},'3')
		},
		itemsClose: function(index){
			console.log(index)
			this.items[index].is_show = false
		},
		buyPost: function (item){
			var that = this
			var params = {
				activity_free_id: item.activity_free_id
			}
			var w = plus.nativeUI.showWaiting("加载中...")
			ORANGE.ajax({
				func_url:'/activity-free/buy?token=' + ORANGE.UserInfo.token(),
				params:params,
				type:'GET',
				onSuccess:function(data){
					console.log(JSON.stringify(data))
					w.close()
					var zeroWebview = plus.webview.getWebviewById('zero-list.html');
					mui.fire(zeroWebview,'shareSuccess')
					ORANGE.toast('参与成功')
					ORANGE.openShare()
					item.is_buy = 1
				},
				onError:function(errcode){
					ORANGE.consoleLog(errcode,'0购列表')
					w.close()
					ORANGE.toast(errcode.msg)
				},
			},'3')
		},
		//APP分享
		Share: function (s_id,ex_id) {
			var that = this
			//获取分享操作
			var shares = {};
			plus.share.getServices(function(s) {
				if (s && s.length > 0) {
					for (var i = 0; i < s.length; i++) {
						var t = s[i];
						shares[t.id] = t;
					}
				}
				var share = shares[s_id];
				that.ShareMessage(share, ex_id);
			}, function() {
				console.log("获取分享服务列表失败");
				mui.alert('获取分享服务列表失败',appname);
			});
		},
		//
		ShareMessage:function (share, ex) {
			console.log(JSON.stringify(join_data))
			var that = this
			var msg = { extra: { scene: ex } };
			msg.href = SKRURL + '/lydetails/index.html?activity_free_id=' + this.activity_free_id;
			msg.title = '0元抽奖';
			msg.content = '0元抽' + that.items[0].titile;
			msg.thumbs = ["_www/img/logo.png"];
			share.send(msg, function() {
				console.log("分享到\"" + share.description + "\"成功！ ");
				ORANGE.hideShare()
				//ORANGE.getshare()
			}, function(e) {
				console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
				ORANGE.hideShare()
				//ORANGE.getshare()
			});
		}
	}
})




function plusReady(){
	if(plus.webview.currentWebview().activity_free_id){
		app.activity_free_id = plus.webview.currentWebview().activity_free_id
		app.getinfo()
	}
	
		//接收登录获取用户信息
	document.addEventListener('shareSuccess', function() {
		ORANGE.openShare()
	})
	
}
if (window.plus) {
    plusReady()
} else{
    document.addEventListener('plusready',plusReady,false);
}